Skip to main content
GET
/
v1
/
report
/
insight
/
revenue-analytics
/
totals
/report/insight/revenue-analytics/totals
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/revenue-analytics/totals \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/revenue-analytics/totals"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/revenue-analytics/totals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "totals": {
      "page_views": 1125330,
      "total_users": 466089,
      "sessions": 726607,
      "ad_requests": 7730827,
      "unit_loads": 16277485,
      "gross_revenue": 37967.323573,
      "gross_pap_revenue": 169.710774,
      "gross_saas_revenue": 37797.612799,
      "net_revenue": 37933.381418200006,
      "net_pap_revenue": 135.7686192,
      "net_saas_revenue": 37797.612798999995
    },
    "periods": {
      "yesterday": {
        "ad_requests": 1227014,
        "unit_loads": 2568540,
        "page_views": 172457,
        "total_users": 88142,
        "sessions": 106106
      },
      "yesterday_compare": {
        "ad_requests": 896852,
        "unit_loads": 2185294,
        "page_views": 119683,
        "total_users": 67321,
        "sessions": 81091
      },
      "week_to_date": {
        "ad_requests": 1227014,
        "unit_loads": 2568540
      },
      "week_to_date_compare": {
        "ad_requests": 1188658,
        "unit_loads": 2610147
      },
      "month_to_date": {
        "ad_requests": 25127486,
        "unit_loads": 52331159
      },
      "month_to_date_compare": {
        "ad_requests": 27704573,
        "unit_loads": 52317238
      },
      "thirty_days": {
        "ad_requests": 31960966,
        "unit_loads": 65960040
      },
      "thirty_days_compare": {
        "ad_requests": 33718939,
        "unit_loads": 62802833
      },
      "last_week": {
        "ad_requests": 7692471,
        "unit_loads": 16319092
      },
      "last_week_compare": {
        "ad_requests": 6885481,
        "unit_loads": 13996394
      },
      "last_month": {
        "ad_requests": 35273617,
        "unit_loads": 67576410
      },
      "last_month_compare": {
        "ad_requests": 39802382,
        "unit_loads": 71180909
      }
    }
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer
required

Publisher ID

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

isConnected
string
required

Check to see if the publisher has analytics connected

Response

200 - application/json
results
object
required
success
boolean
required